Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-13593

dlopen failure loading after upgrade from 10.2.6 to 10.2.8

    XMLWordPrintable

    Details

      Description

      Hi,

      I use the latest stable version of mariadb, with this apt sources configuration :

      deb [arch=amd64] http://ftp.ubuntu-tw.org/mirror/mariadb/repo/10.2/debian stretch main
      

      postfix-mysql won't work after the last upgarde of mariadb (today).
      Here's the log :

      # postmap -q email1@example.com mysql:/etc/postfix/mysql-virtual-mailbox-maps.cf
      # apt update
      Ign:1 http://mirrors.online.net/debian stretch InRelease
      Hit:2 http://mirrors.online.net/debian stretch Release
      Hit:3 http://security.debian.org/debian-security stretch/updates InRelease
      Get:5 http://ftp.ubuntu-tw.org/mirror/mariadb/repo/10.2/debian stretch InRelease [3,872 B]
      Fetched 3,872 B in 2s (1,560 B/s)
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      9 packages can be upgraded. Run 'apt list --upgradable' to see them.
      # apt dist-upgrade
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      (Reading database ... 36776 files and directories currently installed.)
      Preparing to unpack .../mariadb-server-10.2_10.2.8+maria~stretch_amd64.deb ...
      /var/lib/mysql: found previous version 10.2
      Unpacking mariadb-server-10.2 (10.2.8+maria~stretch) over (10.2.6+maria~stretch) ...
      Preparing to unpack .../mariadb-client-10.2_10.2.8+maria~stretch_amd64.deb ...
      Unpacking mariadb-client-10.2 (10.2.8+maria~stretch) over (10.2.6+maria~stretch) ...
      Preparing to unpack .../mariadb-server-core-10.2_10.2.8+maria~stretch_amd64.deb ...
      Unpacking mariadb-server-core-10.2 (10.2.8+maria~stretch) over (10.2.6+maria~stretch) ...
      Selecting previously unselected package libnuma1:amd64.
      Preparing to unpack .../libnuma1_2.0.11-2.1_amd64.deb ...
      Unpacking libnuma1:amd64 (2.0.11-2.1) ...
      Setting up libmariadb3 (10.2.8+maria~stretch) ...
      Setting up libnuma1:amd64 (2.0.11-2.1) ...
      Setting up libmariadbclient18 (10.2.8+maria~stretch) ...
      Processing triggers for libc-bin (2.24-11+deb9u1) ...
      Processing triggers for systemd (232-25+deb9u1) ...
      Processing triggers for man-db (2.7.6.1-2) ...
      Setting up mariadb-server-core-10.2 (10.2.8+maria~stretch) ...
      Setting up mariadb-client-core-10.2 (10.2.8+maria~stretch) ...
      Setting up mariadb-client-10.2 (10.2.8+maria~stretch) ...
      Setting up mariadb-server-10.2 (10.2.8+maria~stretch) ...
      Setting up mariadb-server (10.2.8+maria~stretch) ...
      # postmap -q email1@example.com mysql:/etc/postfix/mysql-virtual-mailbox-maps.cf
      postmap: fatal: load_library_symbols: dlopen failure loading /usr/lib/postfix/postfix-mysql.so: /usr/lib/x86_64-linux-gnu/libmariadbclient.so.18: version `libmariadbclient_18' not found (required by /usr/lib/postfix/postfix-mysql.so)
      

      Thank you

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              serg Sergei Golubchik
              Reporter:
              yoch yoch
              Votes:
              3 Vote for this issue
              Watchers:
              6 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: